server:
  port: 8081

mybatis-plus:
  type-aliases-package:  com.zsc.edu.gateway.modules.*.entity
  mapper-locations: classpath*:mappers/*/*.xml
  type-handlers-package: com.zsc.edu.gateway.framework.mybatisplus
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    default-enum-type-handler: com.baomidou.mybatisplus.core.handlers.MybatisEnumTypeHandler
    map-underscore-to-camel-case: true

spring:
  datasource:
    url: jdbc:postgresql://43.139.10.64:15432/gateway?ssl=false&TimeZone=Asia/Shanghai
    username: gitea
    password: gitea
    driver-class-name: org.postgresql.Driver
  data:
    redis:
      host: 43.139.10.64
      port: 16379
      password:
  servlet:
    multipart:
      max-file-size: 40MB
      max-request-size: 40MB
  jackson:
    # 属性为空不序列化
    default-property-inclusion: non_null
  mail:
    # 配置 SMTP 服务器地址
    host: smtp.qq.com
    # 发送者邮箱
    username: 2179732328@qq.com
    # 配置密码，注意不是真正的密码，而是刚刚申请到的授权码
    password: mabpnbtqqezjdjde
    # 端口号465或587
    port: 587
    # 默认的邮件编码为UTF-8
    default-encoding: UTF-8
    # 配置SSL 加密工厂
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
          socketFactoryClass: javax.net.ssl.SSLSocketFactory
        #表示开启 DEBUG 模式，这样，邮件发送过程的日志会在控制台打印出来，方便排查错误
        debug: true

storage:
  attachment: ./storage/attachment
  temp: ./storage/temp

